﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace XDGMultiSelectDropDownCase
{
    public class MySelectedItemsConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if(value != null)
            {
                string str = value.ToString();
                string[] split = str.Split(',');

                ObservableCollection<object> obj = new ObservableCollection<object>();
                foreach(string s in split)
                {
                    obj.Add(s.Trim());
                }

                return obj;
            }
            else
            {
                return new ObservableCollection<object>();
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
